Class: Aws::IAM::Types::ListAttachedGroupPoliciesResponse

Inherits:
Struct
  • Object
show all
Defined in:
gems/aws-sdk-iam/lib/aws-sdk-iam/types.rb

Overview

Contains the response to a successful ListAttachedGroupPolicies request.

Constant Summary collapse

SENSITIVE =
[]

Instance Attribute Summary collapse

Instance Attribute Details

#attached_policiesArray<Types::AttachedPolicy>

A list of the attached policies.

Returns:



5903
5904
5905
5906
5907
5908
5909
# File 'gems/aws-sdk-iam/lib/aws-sdk-iam/types.rb', line 5903

class ListAttachedGroupPoliciesResponse < Struct.new(
  :attached_policies,
  :is_truncated,
  :marker)
  SENSITIVE = []
  include Aws::Structure
end

#is_truncatedBoolean

A flag that indicates whether there are more items to return. If your results were truncated, you can make a subsequent pagination request using the Marker request parameter to retrieve more items. Note that IAM might return fewer than the MaxItems number of results even when there are more results available. We recommend that you check IsTruncated after every call to ensure that you receive all your results.

Returns:

  • (Boolean)


5903
5904
5905
5906
5907
5908
5909
# File 'gems/aws-sdk-iam/lib/aws-sdk-iam/types.rb', line 5903

class ListAttachedGroupPoliciesResponse < Struct.new(
  :attached_policies,
  :is_truncated,
  :marker)
  SENSITIVE = []
  include Aws::Structure
end

#markerString

When IsTruncated is true, this element is present and contains the value to use for the Marker parameter in a subsequent pagination request.

Returns:

  • (String)


5903
5904
5905
5906
5907
5908
5909
# File 'gems/aws-sdk-iam/lib/aws-sdk-iam/types.rb', line 5903

class ListAttachedGroupPoliciesResponse < Struct.new(
  :attached_policies,
  :is_truncated,
  :marker)
  SENSITIVE = []
  include Aws::Structure
end